Bug 461598 - Texture_from_pixmap not exposed with mesa-7.2
Texture_from_pixmap not exposed with mesa-7.2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 07:37 EDT by Ben Gamari
Modified: 2018-04-11 07:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 01:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Gamari 2008-09-09 07:37:07 EDT
Description of problem:
Mesa-7.2 has missing visuals and fails to expose the texture_from_pixmap extension, thereby rendering it incapable of running compiz.
Comment 2 Matěj Cepl 2008-09-11 18:25:19 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Ben Gamari 2008-09-16 15:36:49 EDT
It actually seems that compiz's --indirect-rendering flag is broken (or I misunderstood its purpose). Starting compiz with LIBGL_ALWAYS_INDIRECT=1 works just fine. Sorry about the noise.
Comment 4 Ben Gamari 2008-09-29 01:32:26 EDT
Closing to prevent my idiocy from wasting anyone else's time.

Note You need to log in before you can comment on or make changes to this bug.